Get a saved filter by ID
get
https://app.fossa.com/api/issue-filters/{filterId}Get a saved filter by ID. The filter must be owned by the user's organization.
Path parameters
filterIdintegerrequiredThe ID of the saved filter.
Responses
200A saved filter objectidintegernamestringcategoryenumlicensingvulnerabilityqualityfilterobjectA JSON object representing the specific filter criteria.
sortenumCan be any of the sort options related to issue or revision.
severity_ascseverity_descissue_count_ascissue_count_desccreated_at_asccreated_at_descpackage_ascpackage_descepss_ascepss_descgroupenumissuerevision400Invalid or missing ID.403Forbidden: insufficient permissions to access this resource.404No filter was found with the given ID for the user's organization.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Bearer
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/issue-filters/1curl --request GET \ --url 'https://app.fossa.com/api/issue-filters/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.
Path params
filterIdintegerrequiredThe ID of the saved filter.